Bug 1273711 - Disperse volume: df -h on a nfs mount throws Invalid argument error
Summary: Disperse volume: df -h on a nfs mount throws Invalid argument error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.1.2
Assignee: Ashish Pandey
QA Contact: Bhaskarakiran
URL:
Whiteboard:
Depends On: 1257509
Blocks: 1251815 1260783 1260848 1261732
TreeView+ depends on / blocked
 
Reported: 2015-10-21 05:46 UTC by Ashish Pandey
Modified: 2016-11-23 23:12 UTC (History)
13 users (show)

Fixed In Version: glusterfs-3.7.5-5
Doc Type: Bug Fix
Doc Text:
Clone Of: 1257509
Environment:
Last Closed: 2016-03-01 05:43:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0193 0 normal SHIPPED_LIVE Red Hat Gluster Storage 3.1 update 2 2016-03-01 10:20:36 UTC

Comment 5 Bhaskarakiran 2015-11-03 06:18:48 UTC
Verified on 3.7.5-5. Marking this as fixed.

[root@rhs-client17 nfs]# pwd
/mnt/nfs
[root@rhs-client17 nfs]# df -h .
Filesystem          Size  Used Avail Use% Mounted on
transformers:/vol1   22T  1.3T   20T   6% /mnt/nfs
[root@rhs-client17 nfs]# 

[root@rhs-client17 nfs]# gluster --version
glusterfs 3.7.5 built on Oct 29 2015 10:11:53
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@rhs-client17 nfs]# 

[root@transformers ~]# gluster v info vol1
 
Volume Name: vol1
Type: Tier
Volume ID: ed22b68c-b982-40ca-86c0-d85cd127dbc1
Status: Started
Number of Bricks: 18
Transport-type: tcp
Hot Tier :
Hot Tier Type : Distributed-Replicate
Number of Bricks: 3 x 2 = 6
Brick1: ninja:/rhs/brick3/vol1-tier6
Brick2: vertigo:/rhs/brick3/vol1-tier5
Brick3: ninja:/rhs/brick2/vol1-tier4
Brick4: vertigo:/rhs/brick2/vol1-tier3
Brick5: ninja:/rhs/brick1/vol1-tier2
Brick6: vertigo:/rhs/brick1/vol1-tier1
Cold Tier:
Cold Tier Type : Distributed-Disperse
Number of Bricks: 12 x (8 + 4) = 12
Brick7: transformers:/rhs/brick1/b1
Brick8: interstellar:/rhs/brick1/b2
Brick9: transformers:/rhs/brick2/b3
Brick10: interstellar:/rhs/brick2/b4
Brick11: transformers:/rhs/brick3/b5
Brick12: interstellar:/rhs/brick3/b6
Brick13: transformers:/rhs/brick4/b7
Brick14: interstellar:/rhs/brick4/b8
Brick15: transformers:/rhs/brick5/b9
Brick16: interstellar:/rhs/brick5/b10
Brick17: transformers:/rhs/brick6/b11
Brick18: interstellar:/rhs/brick6/b12
Options Reconfigured:
cluster.tier-max-mb: 1048576
ganesha.enable: off
cluster.self-heal-daemon: on
features.ctr-enabled: on
cluster.disperse-self-heal-daemon: enable
server.event-threads: 4
client.event-threads: 4
features.inode-quota: off
features.quota: off
features.uss: on
nfs.disable: off
performance.readdir-ahead: on
cluster.enable-shared-storage: disable
nfs-ganesha: disable
[root@transformers ~]#

Comment 7 errata-xmlrpc 2016-03-01 05:43:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0193.html


Note You need to log in before you can comment on or make changes to this bug.